Summary:	ISO-2022-CN, EUC-CN and GBK encoding support for xpdf
Summary(pl.UTF-8):	Obsługa kodowań ISO-2022-CN, EUC-CN i GBK dla xpdf
Name:		xpdf-chinese-simplified
Version:	20170725
Release:	1
License:	GPL v2 or GPL v3
Group:		X11/Applications
#Source0Download: http://www.xpdfreader.com/download.html
Source0:	https://xpdfreader-dl.s3.amazonaws.com/%{name}.tar.gz
# Source0-md5:	6e180df2bec057b284830ef0ba06a1b1
URL:		http://www.xpdfreader.com/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Chinese-simplified PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków. (Nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
chińskimi uproszczonymi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-simplified

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.cidToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf
install CMap/* $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-simplified

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	ISO-2022-CN	/usr/share/xpdf/ISO-2022-CN.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	EUC-CN		/usr/share/xpdf/EUC-CN.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	GBK		/usr/share/xpdf/GBK.unicodeMap' >> /etc/xpdfrc
	echo 'cidToUnicode	Adobe-GB1	/usr/share/xpdf/Adobe-GB1.cidToUnicode' >> /etc/xpdfrc
	echo 'cMapDir		Adobe-GB1	/usr/share/xpdf/CMap-chinese-simplified' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-simplified' >> /etc/xpdfrc
	echo 'displayCIDFontX	Adobe-GB1	"-*-fangsong ti-medium-r-normal-*-%s-*-*-*-*-*-gb2312.1980-0" ISO-2022-CN' >> /etc/xpdfrc
else
 if ! grep -q 'ISO-2022-CN\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	ISO-2022-CN	/usr/share/xpdf/ISO-2022-CN.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'EUC-CN\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	EUC-CN		/usr/share/xpdf/EUC-CN.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'GBK\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	GBK		/usr/share/xpdf/GBK.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Adobe-GB1\.cidToUnicode' /etc/xpdfrc; then
	echo 'cidToUnicode	Adobe-GB1	/usr/share/xpdf/Adobe-GB1.cidToUnicode' >> /etc/xpdfrc
 fi
 if ! grep -q 'CMap-chinese-simplified' /etc/xpdfrc; then
	echo 'cMapDir		Adobe-GB1	/usr/share/xpdf/CMap-chinese-simplified' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-simplified' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-\*-fangsong ti-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-gb2312\.1980-0' /etc/xpdfrc; then
	echo 'displayCIDFontX	Adobe-GB1	"-*-fangsong ti-medium-r-normal-*-%s-*-*-*-*-*-gb2312.1980-0" ISO-2022-CN' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'ISO-2022-CN\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'EUC-CN\.unicodeMap' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'GBK\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Adobe-GB1\.cidToUnicode' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'CMap-chinese-simplified' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v -e '-\*-fangsong ti-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-gb2312\.1980-0' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/Adobe-GB1.cidToUnicode
%{_datadir}/xpdf/EUC-CN.unicodeMap
%{_datadir}/xpdf/GBK.unicodeMap
%{_datadir}/xpdf/ISO-2022-CN.unicodeMap
%{_datadir}/xpdf/CMap-chinese-simplified
%changelog
* Mon May 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xpdf-chinese-simplified.git;a=log;h=master

* Mon May 20 2019 Jakub Bogusz <qboosh@pld-linux.org> dd9929f
- updated to 2017-Jul-25

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 6f03973
- updated to 2011-aug-15 (as Version: 20110815)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 62c3ffe
- rel 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 31f0326
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed2a8b2
- converted to UTF-8

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> ef6d7b5
- updated to 2004-jul-27, release 6

* Wed Aug 25 2004 Jakub Bogusz <qboosh@pld-linux.org> e2a1eac
- typo, release 5

* Sun Jan 25 2004 Tomasz Pala <gotar@pld-linux.org> 70a261f
- updated

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 27ab265
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jul 31 2003 Tomasz Pala <gotar@pld-linux.org> 7308243
- fixed %preun scripts,
- release++.

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 78aea6c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e3d6678
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 04 2003 qrczak <qrczak@pld-linux.org> a5f02d2
- Use -e before grep patterns starting with '-'.

* Sat Mar 15 2003 Tomasz Pala <gotar@pld-linux.org> 8c7e54e
- BuildArch: noarch,
- release++.

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 5495cd4
- umask in scripts, other fixes/cosmetics where needed

* Sun Jan 19 2003 Tomasz Pala <gotar@pld-linux.org> 576dc46
- fixed %post and %preun scripts

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> 3514817
- removed two lines with define

* Mon Sep 09 2002 Tomasz Pala <gotar@pld-linux.org> 4a7814f
- initial PLD release, STBR.

